# na_elementsw_drive – NetApp Element Software Manage Node Drives

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Add, Erase or Remove drive for nodes on Element Software Cluster.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
drive_id - |  | Drive ID or Serial Name of Node drive. If not specified, add and remove action will be performed on all drives of node_id

force_during_bin_sync
boolean

Choices:
- no
- yes

Flag to force during a bin sync operation.

force_during_upgrade
boolean

Choices:
- no
- yes

Flag to force drive operation during upgrade.

hostname - / required |  | The hostname or IP address of the SolidFire cluster.
node_id - / required |  | ID or Name of cluster node.
password - / required |  | Password for the specified user. aliases: pass

state
-

Choices:
- present ←
- absent
- clean

Element SW Storage Drive operation state.
present - To add drive of node to participate in cluster data storage.
absent - To remove the drive from being part of active cluster.
clean - Clean-up any residual data persistent on a *removed* drive in a secured method.

username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Add drive with status available to cluster
      tags:
      - elementsw_add_drive
      na_element_drive:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        drive_id: scsi-SATA_SAMSUNG_MZ7LM48S2UJNX0J3221807
        force_during_upgrade: false
        force_during_bin_sync: false
        node_id: sf4805-meg-03

    - name: Remove active drive from cluster
      tags:
      - elementsw_remove_drive
      na_element_drive:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: absent
        force_during_upgrade: false
        node_id: sf4805-meg-03
        drive_id: scsi-SATA_SAMSUNG_MZ7LM48S2UJNX0J321208

    - name: Secure Erase drive
      tags:
      - elemensw_clean_drive
      na_elementsw_drive:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: clean
        drive_id: scsi-SATA_SAMSUNG_MZ7LM48S2UJNX0J432109
        node_id: sf4805-meg-03

    - name: Add all the drives of a node to cluster
      tags:
      - elementsw_add_node
      na_elementsw_drive:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        force_during_upgrade: false
        force_during_bin_sync: false
        node_id: sf4805-meg-03

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.